<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Positioning Exercise</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <style>
        * {
            padding: 0;
            margin: 0;
            font-family: Calibri;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        header {
            top: 0px;
            position: fixed;
            width: 80%;
            height: 300px;
            /*margin: 0 auto;*/
            margin-left: 10%;
            background-image: url('images/header1.jpg');
            background-position: 0px -190px;
        }

        #header-top {
            background: orange;
            padding: 10px;
            text-align: center;
            font-weight: bold;
        }

        #left-box {
            position: absolute;
            bottom: 0px;
            left: 0px;
            padding: 10px;
            background: lightskyblue;
            width: 15%;
            text-align: center;
        }

        #middle-box {
            position: absolute;
            bottom: 0px;
            left: calc(15% + 20px);
            padding: 10px;
            background: yellow;
            width: calc(70% - 60px);
            text-align: center;
            opacity: 70%;
        }

        #right-box {
            position: absolute;
            bottom: 0px;
            right: 0px;
            padding: 10px;
            background: greenyellow;
            width: 15%;
            text-align: center;
        }

        #content {
            width: 80%;
            margin-left: 10%;
            margin-top: 300px;
            font-size: 1.5em;
        }

        nav {
            background: darkorchid;
            width: 50px;
            height: 100%;
            position: fixed;
            top: 0;
            left: 0;
            z-index: 1;
            transition: 0.2s;
            opacity: 90%;
            color: white;
            overflow: hidden;
        }

        #nav-button {
            cursor: pointer;
            margin: 13px 0px 0px 13px;
        }

        .menu-item {
            width: 500px;
            margin-left: 60px;
            border-top: 2px solid white;
            padding: 10px;
        }

        .menu-item a {
            color: white;
            font-size: 1.5em;
            text-decoration: none;
        }
    </style>
</head>

<body>
    <nav >
        <div id="nav-button" onclick="toggleNavigation()">
            <i class="material-icons md-24">menu</i>
        </div>
        <div class="menu-item">
            <a href="http://www.postimees.ee">Postimees - värsked uudised igal ajal!!!</a>
        </div>
        <div class="menu-item">
            <a href="http://www.epl.ee">Eesti Päevaleht - oleme põhjalikud!</a>
        </div>
    </nav>
    <header>
        <div id="header-top">
            Super Cool Header!
        </div>
        <div id="left-box">
            The left box
        </div>
        <div id="middle-box">
            Positioning is easy!
        </div>
        <div id="right-box">
            The right box
        </div>
    </header>
    <div id="content">
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quaerat quis, natus dicta optio quam
            dignissimos
            deserunt aut et! Optio est, delectus tempora distinctio itaque sit! Omnis hic rem laudantium itaque?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta facilis hic repellendus quia aut tempora
            minima, adipisci error, dolor ab consequuntur eius culpa, cum architecto tempore nisi repudiandae
            reprehenderit laborum.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Minus totam eaque quas consectetur corporis
            iste
            sed modi architecto labore reiciendis atque, sequi amet rem. Id facere commodi unde provident veritatis?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Error ab non accusantium incidunt id sunt
            asperiores laborum ullam nemo distinctio. Dignissimos quaerat quisquam nulla fuga nesciunt, suscipit
            voluptatibus optio odit.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quaerat quis, natus dicta optio quam
            dignissimos
            deserunt aut et! Optio est, delectus tempora distinctio itaque sit! Omnis hic rem laudantium itaque?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta facilis hic repellendus quia aut tempora
            minima, adipisci error, dolor ab consequuntur eius culpa, cum architecto tempore nisi repudiandae
            reprehenderit laborum.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Minus totam eaque quas consectetur corporis
            iste
            sed modi architecto labore reiciendis atque, sequi amet rem. Id facere commodi unde provident veritatis?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Error ab non accusantium incidunt id sunt
            asperiores laborum ullam nemo distinctio. Dignissimos quaerat quisquam nulla fuga nesciunt, suscipit
            voluptatibus optio odit.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quaerat quis, natus dicta optio quam
            dignissimos
            deserunt aut et! Optio est, delectus tempora distinctio itaque sit! Omnis hic rem laudantium itaque?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta facilis hic repellendus quia aut tempora
            minima, adipisci error, dolor ab consequuntur eius culpa, cum architecto tempore nisi repudiandae
            reprehenderit laborum.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Minus totam eaque quas consectetur corporis
            iste
            sed modi architecto labore reiciendis atque, sequi amet rem. Id facere commodi unde provident veritatis?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Error ab non accusantium incidunt id sunt
            asperiores laborum ullam nemo distinctio. Dignissimos quaerat quisquam nulla fuga nesciunt, suscipit
            voluptatibus optio odit.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quaerat quis, natus dicta optio quam
            dignissimos
            deserunt aut et! Optio est, delectus tempora distinctio itaque sit! Omnis hic rem laudantium itaque?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta facilis hic repellendus quia aut tempora
            minima, adipisci error, dolor ab consequuntur eius culpa, cum architecto tempore nisi repudiandae
            reprehenderit laborum.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Minus totam eaque quas consectetur corporis
            iste
            sed modi architecto labore reiciendis atque, sequi amet rem. Id facere commodi unde provident veritatis?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Error ab non accusantium incidunt id sunt
            asperiores laborum ullam nemo distinctio. Dignissimos quaerat quisquam nulla fuga nesciunt, suscipit
            voluptatibus optio odit.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quaerat quis, natus dicta optio quam
            dignissimos
            deserunt aut et! Optio est, delectus tempora distinctio itaque sit! Omnis hic rem laudantium itaque?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta facilis hic repellendus quia aut tempora
            minima, adipisci error, dolor ab consequuntur eius culpa, cum architecto tempore nisi repudiandae
            reprehenderit laborum.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Minus totam eaque quas consectetur corporis
            iste
            sed modi architecto labore reiciendis atque, sequi amet rem. Id facere commodi unde provident veritatis?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Error ab non accusantium incidunt id sunt
            asperiores laborum ullam nemo distinctio. Dignissimos quaerat quisquam nulla fuga nesciunt, suscipit
            voluptatibus optio odit.
        </p>
    </div>
    <script>

        let isNavigationOpen = false;

        function openNavigation() {
            let navElement = document.querySelector('nav');
            navElement.style.width = '100%';
            isNavigationOpen = true;

            let menuButton = navElement.querySelector('#nav-button');
            menuButton.innerHTML = '<i class="material-icons md-24">close</i>';
        }

        function closeNavigation() {
            let navElement = document.querySelector('nav');
            navElement.style.width = '50px';
            isNavigationOpen = false;

            let menuButton = navElement.querySelector('#nav-button');
            menuButton.innerHTML = '<i class="material-icons md-24">menu</i>';
        }

        function toggleNavigation() {
            if (isNavigationOpen) {
                closeNavigation();
            } else {
                openNavigation();
            }
        }

    </script>
</body>

</html>